Sketcher SketchObject

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Sketcher SketchObject and the translation is 41% complete.

Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano

Introduction

Sketcher Sketch.svg

Un Sketcher SketchObject, ou formellement un Sketcher::SketchObject, est l'élément de base pour créer des objets 2D avec l'Atelier Sketcher.

Sketcher::SketchObject est dérivé de Part Part2DObject. Cela signifie qu'il s'agit d'un objet Part Feature spécialisé dans la géométrie 2D. Comme Part2DObject, l'objet SketchObject peut être attaché à des plans et à des faces. En plus de cela, SketchObject peut gérer les contraintes géométriques des lignes et des courbes qui y sont dessinées.

FreeCAD core objects.svg

Schéma simplifié des relations entre les objets principaux dans FreeCAD. La classe Sketcher::SketchObject est spécialisée pour les formes 2D et en plus peut gérer les contraintes géométriques de ses éléments.

Utilisation

  1. Basculez vers l'Atelier Sketcher.
  2. Appuyez sur Sketcher NewSketch.svg Sketcher Nouvelle esquisse.
  3. Sélectionnez une Orientation de l'esquisse: plan XY, plan XZ ou plan YZ. Vous pouvez également choisir d'Inverser la direction et donner une valeur de Décalage.
  4. Appuyez sur OK.

Bien que SketchObject puisse être utilisé seul pour dessiner sur un plan, il est le plus souvent utilisé conjointement avec Atelier PartDesign pour créer des solides extrudés.

  1. Basculer vers le Atelier PartDesign.
  2. Appuyez sur PartDesign Body.svg PartDesign Corps.
  3. Appuyez sur PartDesign NewSketch.svg PartDesign Nouvelle esquisse.
  4. Fonction sélectionnée: XY_Plane (Plan de base), XZ_Plane (Plan de base) ou YZ_Plane (Plan de base).
  5. Appuyez sur OK.

Propriétés

Voir Propriétés pour tous les types de propriétés que les objets scriptés peuvent avoir.

Un Sketcher SketchObject (classe Sketcher::SketchObject) est dérivé de Part Part2DObject (classe Part::Part2DObject) donc partage toutes les propriétés de ce dernier.

Outre les propriétés décrites dans Part Part2DObject, l'objet de base Sketcher SketchObject possède les propriétés suivantes dans l'éditeur de propriétés.

Données

Attachment

  • DataMap Mode: voir Part Attachement pour plus d'informations sur tous les modes de mappage de pièces jointes.

Sketch

  • DataConstraints: les contraintes nommées, si elles existent sinon c'est une liste vide [].

Hidden properties Data

See Part Part2DObject for the rest of the hidden properties.

Base

  • DataProxy (PythonObject): a custom class associated with this object. This only exists for the Python version. See Scripting.

Sketch

  • DataGeometry (GeometryList): a list of Part geometries that exist inside the sketch.
  • DataExternal Geometry (LinkSubList): a list of Part geometries outside this Sketch that are used for reference.

Vue

Auto Constraints

  • ViewAutoconstraints: si True, il essaiera de définir des contraintes lors du tracé de la géométrie.

Visibility automation

  • ViewEditing Workbench: normalement SketcherWorkbench, il s'agit du nom du workbench à activer lors de la modification de l'esquisse.
  • ViewHide Dependent: si True, tous les objets qui dépendent de l'esquisse sont masqués lors de l'ouverture de l'esquisse.
  • ViewRestore Camera: si True la position de la caméra est enregistrée avant l'ouverture de l'esquisse et est restaurée après sa fermeture.
  • ViewShow Links: si True, tous les objets utilisés dans les liens vers une géométrie externe sont affichés lors de l'ouverture de l'esquisse.
  • ViewShow Support: si True tous les objets auxquels cette esquisse est attachée sont affichés lors de l'ouverture de l'esquisse.

Hidden properties View

Base

  • ViewProxy (PythonObject): a custom view provider class associated with this object. This only exists for the Python version. See Scripting.

Visibility automation

  • ViewTempo Vis (PythonObject): a custom class associated with this object, that handles hiding and showing other objects when opening and closing the sketch.

All other view properties, including hidden properties, are those of the base Part Feature object.

Création de scripts

Voir aussi: FreeCAD Script de base et objet scripté.

Voir Part Feature pour plus d'informations à l'ajout d'objets.

Un Sketcher SketchObject est créé avec la méthode addObject() du document.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("Sketcher::SketchObject", "Sketch")
obj.Label = "Custom label"

This basic Sketcher::SketchObject doesn't have a Proxy object so it can't be fully used for sub-classing.

Therefore, for Python subclassing, you should create the Sketcher::SketchObjectPython object.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("Sketcher::SketchObjectPython", "CustomSketch")
obj.Label = "Custom label"